pcl::detail::FieldMapper< PointT > Struct Template Reference

`#include <pcl/conversions.h>`

## Public Member Functions

| FieldMapper (const std::vector< pcl::PCLPointField > &fields, std::vector< FieldMapping > &map)
template<typename Tag >
void | operator() ()

## Public Attributes

const std::vector< pcl::PCLPointField > & | fields_
std::vector< FieldMapping > & | map_

## Detailed Description

### template<typename PointT>
struct pcl::detail::FieldMapper< PointT >

Definition at line 84 of file conversions.h.

## Constructor & Destructor Documentation

template<typename PointT>

pcl::detail::FieldMapper< PointT >::FieldMapper | ( | const std::vector< pcl::PCLPointField > & | fields,
|  | std::vector< FieldMapping > & | map
| ) |  |

inline

Definition at line 86 of file conversions.h.

## Member Function Documentation

template<typename PointT>
template<typename Tag >

void pcl::detail::FieldMapper< PointT >::operator() | ( |  | ) |

inline

Definition at line 93 of file conversions.h.

References pcl::detail::FieldAdder< PointT >::fields_, pcl::PCLPointField::offset, pcl::detail::FieldMapping::serialized_offset, pcl::detail::FieldMapping::size, and pcl::detail::FieldMapping::struct_offset.

## Member Data Documentation

template<typename PointT>

const std::vector<pcl::PCLPointField>& pcl::detail::FieldMapper< PointT >::fields_

Definition at line 112 of file conversions.h.

template<typename PointT>

std::vector<FieldMapping>& pcl::detail::FieldMapper< PointT >::map_

Definition at line 113 of file conversions.h.

The documentation for this struct was generated from the following file:

- /build/pcl-0nnAvv/pcl-1.7.2/common/include/pcl/conversions.h